package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysGzReportApprove;

/**
 * 审批记录Mapper接口
 * 
 * @author ruoyi
 * @date 2021-06-15
 */
public interface SysGzReportApproveMapper 
{
    /**
     * 查询审批记录
     * 
     * @param id 审批记录ID
     * @return 审批记录
     */
    public SysGzReportApprove selectSysGzReportApproveById(Long id);

    /**
     * 查询审批记录列表
     * 
     * @param sysGzReportApprove 审批记录
     * @return 审批记录集合
     */
    public List<SysGzReportApprove> selectSysGzReportApproveList(SysGzReportApprove sysGzReportApprove);

    /**
     * 新增审批记录
     * 
     * @param sysGzReportApprove 审批记录
     * @return 结果
     */
    public int insertSysGzReportApprove(SysGzReportApprove sysGzReportApprove);

    /**
     * 修改审批记录
     * 
     * @param sysGzReportApprove 审批记录
     * @return 结果
     */
    public int updateSysGzReportApprove(SysGzReportApprove sysGzReportApprove);

    /**
     * 删除审批记录
     * 
     * @param id 审批记录ID
     * @return 结果
     */
    public int deleteSysGzReportApproveById(Long id);

    /**
     * 批量删除审批记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysGzReportApproveByIds(Long[] ids);
}
