package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysGzReportCredit;
import org.apache.ibatis.annotations.Param;

/**
 * 报送额度限制Mapper接口
 * 
 * @author ruoyi
 * @date 2021-06-10
 */
public interface SysGzReportCreditMapper 
{
    /**
     * 查询报送额度限制
     * 
     * @param id 报送额度限制ID
     * @return 报送额度限制
     */
    public SysGzReportCredit selectSysGzReportCreditById(Long id);

    /**
     * 查询报送额度限制
     *
     * @param reportUid 报送额度限制 reportUid
     * @return 报送额度限制
     */
    public SysGzReportCredit selectSysGzReportCreditByReportUid(String reportUid);


    /**
     * 查询报送额度限制
     *
     * @param parentUid 报送额度限制 parentUid
     * @return 报送额度限制
     */
    public List<SysGzReportCredit> selectSysGzReportCreditByParentUid(String parentUid);

    /**
     * 查询报送额度限制
     * @param deptId  部门ID
     * @param reportCode  报送月份
     * @return
     */
    public SysGzReportCredit selectSysGzReportCreditByDeptAndMonth(@Param("deptId")Long deptId, @Param("reportCode")String reportCode);

    /**
     * 查询报送额度限制列表
     * 
     * @param sysGzReportCredit 报送额度限制
     * @return 报送额度限制集合
     */
    public List<SysGzReportCredit> selectSysGzReportCreditList(SysGzReportCredit sysGzReportCredit);

    /**
     * 查询报送额度限制列表
     *
     * @param sysGzReportCredit 报送额度限制
     * @return 报送额度限制集合
     */
    public List<SysGzReportCredit> selectCreditList(SysGzReportCredit sysGzReportCredit);

    /**
     * 查询报送额度限制列表
     *
     * @param sysGzReportCredit 报送额度限制
     * @return 报送额度限制集合
     */
    public List<SysGzReportCredit> selectCreditListByDept(SysGzReportCredit sysGzReportCredit);

    /**
     * 查询报送额度限制列表
     *
     * @param sysGzReportCredit 报送额度限制
     * @return 报送额度限制集合
     */
    public List<SysGzReportCredit> selectCreditListByParent(SysGzReportCredit sysGzReportCredit);

    /**
     * 查询报送额度限制列表
     *
     * @param sysGzReportCredit 报送额度限制
     * @return 报送额度限制集合
     */
    public List<SysGzReportCredit> selectCreditListByRole(SysGzReportCredit sysGzReportCredit);

    /**
     * 新增报送额度限制
     * 
     * @param sysGzReportCredit 报送额度限制
     * @return 结果
     */
    public int insertSysGzReportCredit(SysGzReportCredit sysGzReportCredit);

    /**
     * 修改报送额度限制
     * 
     * @param sysGzReportCredit 报送额度限制
     * @return 结果
     */
    public int updateSysGzReportCredit(SysGzReportCredit sysGzReportCredit);


    /**
     * 修改下发状态
     *
     * @param parentUid 上级唯一编号
     * @return 结果
     */
    public int updateStatusByParentUid(String parentUid);

    /**
     * 删除报送额度限制
     * 
     * @param id 报送额度限制ID
     * @return 结果
     */
    public int deleteSysGzReportCreditById(Long id);

    /**
     * 批量删除报送额度限制
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysGzReportCreditByIds(Long[] ids);

    /**
     * 删除报送额度限制信息
     *
     * @param reportCode 报送年月
     * @return 结果
     */
    public int deleteSysGzReportCreditByReportCode(String reportCode);

    /**
     *  删除报送额度限制
     * @param reportCode
     * @param parentId
     * @return
     */
    public int deleteSysGzReportCreditByReportCodeAndParentId(@Param("reportCode")String reportCode, @Param("parentId")Long parentId);
}
