package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysGzReportInfoRule;

/**
 * 工资规则验证Mapper接口
 * 
 * @author ruoyi
 * @date 2021-07-12
 */
public interface SysGzReportInfoRuleMapper 
{
    /**
     * 查询工资规则验证
     * 
     * @param id 工资规则验证ID
     * @return 工资规则验证
     */
    public SysGzReportInfoRule selectSysGzReportInfoRuleById(Long id);

    /**
     * 查询工资规则验证列表
     * 
     * @param sysGzReportInfoRule 工资规则验证
     * @return 工资规则验证集合
     */
    public List<SysGzReportInfoRule> selectSysGzReportInfoRuleList(SysGzReportInfoRule sysGzReportInfoRule);

    /**
     * 新增工资规则验证
     * 
     * @param sysGzReportInfoRule 工资规则验证
     * @return 结果
     */
    public int insertSysGzReportInfoRule(SysGzReportInfoRule sysGzReportInfoRule);

    /**
     * 修改工资规则验证
     * 
     * @param sysGzReportInfoRule 工资规则验证
     * @return 结果
     */
    public int updateSysGzReportInfoRule(SysGzReportInfoRule sysGzReportInfoRule);

    /**
     * 删除工资规则验证
     * 
     * @param id 工资规则验证ID
     * @return 结果
     */
    public int deleteSysGzReportInfoRuleById(Long id);

    /**
     * 批量删除工资规则验证
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysGzReportInfoRuleByIds(Long[] ids);
}
