package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.ReportSummary;
import com.ruoyi.system.domain.SysGzReport;
import org.apache.ibatis.annotations.Param;

/**
 * 工资上报控制Mapper接口
 * 
 * @author ruoyi
 * @date 2021-05-24
 */
public interface SysGzReportMapper 
{
    /**
     * 查询工资上报控制
     * 
     * @param id 工资上报控制ID
     * @return 工资上报控制
     */
    public SysGzReport selectSysGzReportById(Long id);

    /**
     * 查询工资上报控制
     *
     * @param sysGzReport 工资上报控制ID
     * @return 工资上报控制
     */
    public SysGzReport selectSysGzReportOne(SysGzReport sysGzReport);

    /**
     * 查询工资上报控制列表
     * 
     * @param sysGzReport 工资上报控制
     * @return 工资上报控制集合
     */
    public List<SysGzReport> selectSysGzReportList(SysGzReport sysGzReport);

    /**
     * 查询工资上报控制列表
     *
     * @param sysGzReport 工资上报控制
     * @return 工资上报控制集合
     */
    public List<SysGzReport> selectSysGzReportApproveList(SysGzReport sysGzReport);

    /**
     * 查询工资上报汇总
     *
     * @param reportSummary 查询年度
     * @return 工资上报控制集合
     */
    public List<ReportSummary> selectReportSummary(ReportSummary reportSummary);

    /**
     *  查询 报送记录
     * @param reportCode
     * @param deptId
     * @return
     */
    public SysGzReport selectSysGzReport(@Param("reportCode")String reportCode, @Param("reportType")String reportType, @Param("deptId")Long deptId);

    /**
     * 新增工资上报控制
     * 
     * @param sysGzReport 工资上报控制
     * @return 结果
     */
    public int insertSysGzReport(SysGzReport sysGzReport);

    /**
     * 修改工资上报控制
     * 
     * @param sysGzReport 工资上报控制
     * @return 结果
     */
    public int updateSysGzReport(SysGzReport sysGzReport);

    /**
     * 修改报送状态
     * @param reportId
     * @param reportStatus
     * @return
     */
    public int updateSysGzReportStatus(@Param("reportId")Long reportId,  @Param("reportStatus")String reportStatus);

    /**
     * 删除工资上报控制
     * 
     * @param id 工资上报控制ID
     * @return 结果
     */
    public int deleteSysGzReportById(Long id);

    /**
     * 批量删除工资上报控制
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysGzReportByIds(Long[] ids);
}
