package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysGzReportSalaryYear;

/**
 * 绩效年薪Mapper接口
 * 
 * @author ruoyi
 * @date 2022-02-16
 */
public interface SysGzReportSalaryYearMapper 
{
    /**
     * 查询绩效年薪
     * 
     * @param id 绩效年薪ID
     * @return 绩效年薪
     */
    public SysGzReportSalaryYear selectSysGzReportSalaryYearById(Long id);

    /**
     * 查询绩效年薪列表
     * 
     * @param sysGzReportSalaryYear 绩效年薪
     * @return 绩效年薪集合
     */
    public List<SysGzReportSalaryYear> selectSysGzReportSalaryYearList(SysGzReportSalaryYear sysGzReportSalaryYear);

    /**
     * 新增绩效年薪
     * 
     * @param sysGzReportSalaryYear 绩效年薪
     * @return 结果
     */
    public int insertSysGzReportSalaryYear(SysGzReportSalaryYear sysGzReportSalaryYear);

    /**
     * 修改绩效年薪
     * 
     * @param sysGzReportSalaryYear 绩效年薪
     * @return 结果
     */
    public int updateSysGzReportSalaryYear(SysGzReportSalaryYear sysGzReportSalaryYear);

    /**
     * 删除绩效年薪
     * 
     * @param id 绩效年薪ID
     * @return 结果
     */
    public int deleteSysGzReportSalaryYearById(Long id);

    /**
     * 批量删除绩效年薪
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysGzReportSalaryYearByIds(Long[] ids);
}
